#
# IMPORTANT NOTE
#
# This chart inherits from our common library chart. You can check the default values/options here:
# https://github.com/k8s-at-home/library-charts/tree/main/charts/stable/common/values.yaml
#

image:
  # -- image repository
  repository: openemr/openemr
  # -- image pull policy
  pullPolicy: IfNotPresent
  # -- image tag
  tag: 6.1.0

# -- environment variables. See more environment variables in the [openemr documentation](https://github.com/openemr/openemr/blob/master/docker/production/docker-compose.yml)
# @default -- See below
env:
  # -- Set the container timezone
  TZ: UTC
  # MYSQL_HOST: openemr-mariadb
  # MYSQL_ROOT_PASS: openemrrootpass
  # MYSQL_USER: openemr
  # MYSQL_PASS: openemr-pass
  # OE_USER: admin
  # OE_PASS: pass

# -- Configures service settings for the chart.
# @default -- See values.yaml
service:
  main:
    primary: true
    ports:
      http:
        port: 80
      https:
        enabled: true
        port: 443

ingress:
  # -- Enable and configure ingress settings for the chart under this key.
  # @default -- See values.yaml
  main:
    enabled: false

# -- Configure persistence settings for the chart under this key.
# @default -- See values.yaml
persistence:
  log:
    enabled: false
    mountPath: /var/log
  sites:
    enabled: false
    mountPath: /var/www/localhost/htdocs/openemr/sites

# -- Enable and configure mariadb database subchart under this key.
#    For more options see [mariadb chart documentation](https://github.com/bitnami/charts/tree/master/bitnami/mariadb)
# @default -- See values.yaml
mariadb:
  enabled: false
  # architecture: standalone
  # auth:
  #   database: openemr
  #   username: openemr
  #   password: openemr-pass
  #   rootPassword: openemrrootpass
  # primary:
  #   persistence:
  #     enabled: false
  #     storageClass: ""
  # fullnameOverride: openemr-mariadb
